Alokai

SapccApiGetOrgUnitUsersRequest

Request parameters for getOrgUnitUsers operation in SapccApi. SapccApiGetOrgUnitUsersRequest

interface SapccApiGetOrgUnitUsersRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly orgUnitId: string;
	readonly pageSize?: number;
	readonly roleId: string;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetOrgUnitUsers
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetOrgUnitUsers
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetOrgUnitUsers
orgUnitIdRequiredstringOrganizational unit identifier. {string} SapccApiGetOrgUnitUsers
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetOrgUnitUsers
roleIdRequiredstringRole that is returned. Example roles: b2bapprovergroup, b2badmingroup, b2bmanagergroup, or b2bcustomergroup. {string} SapccApiGetOrgUnitUsers
sortOptionalstringSorting method applied to the display search results. {string} SapccApiGetOrgUnitUsers
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetOrgUnitUsers

On this page